Bug 1480973 - Review Request: golang-github-alecthomas-kingpin - A Go command line and flag parser
Review Request: golang-github-alecthomas-kingpin - A Go command line and flag...
Status: POST
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robert-André Mauchin
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1421046 DeepinDEPackageReview 1476589 1476590
  Show dependency treegraph
 
Reported: 2017-08-13 05:13 EDT by sensor.wen
Modified: 2017-10-14 15:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zebob.m: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Comment 1 Robert-André Mauchin 2017-08-23 10:34:11 EDT
Hello,

 - The _examples/ folder should go in %doc:

%doc _examples

And remove it from devel.file-list:

for file in $(find . -iname "*.go" \! -iname "*_test.go" \! -path "./_examples/*")  ; do


 - Change:

%dir %{gopath}/src/%{import_path}

to

%dir %{gopath}/src/%{import_path}/cmd

And remove: %{gopath}/src/%{import_path2}

(The import_path was already listed but the subdirectory cmd was not)


 - Missing dependency:

DEBUG util.py:450:  No matching package to install: 'golang(github.com/alecthomas/assert)'
→ Bug #1480971: accepted but not yet built. It seems you haven't yet requested the repo to be created with fedrepo-req. Please do it so we can move forward.
Comment 2 sensor.wen 2017-08-25 06:52:50 EDT
Diff:  https://github.com/FZUG/repo/commit/bba881590a66a510dbf653210ac5b23c96f0da0e

Fixed. the github-alecthomas-assert package is build passed, but it is not included in the rawhide. Maybe we need to wait some time.

https://src.fedoraproject.org/rpms/golang-github-alecthomas-assert
Comment 3 Robert-André Mauchin 2017-08-25 07:21:03 EDT
This is okay for me, package accepted.
Comment 4 Gwyn Ciesla 2017-08-25 09:00:34 EDT
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-alecthomas-kingpin
Comment 5 Athos Ribeiro 2017-10-14 15:51:53 EDT
Should this be closed?

Note You need to log in before you can comment on or make changes to this bug.